Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.inventory
Class ContainerRepair

    java.lang.Object
      net.minecraft.inventory.Container
          net.minecraft.inventory.ContainerRepair

    public class ContainerRepair

extends Container

Field Summary
`int` | `maximumCost` The maximum cost of repairing/renaming in the anvil.

Fields inherited from class net.minecraft.inventory.Container
`inventoryItemStacks, inventorySlots, windowId`

Constructor Summary
`ContainerRepair(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5, EntityPlayer par6EntityPlayer)`

Method Summary
`void` | `addCraftingToCrafters(ICrafting par1ICrafting)`
`boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
`void` | `func_82848_d()`
`void` | `func_82850_a(String par1Str)`
`void` | `onCraftGuiClosed(EntityPlayer par1EntityPlayer)` Callback for when the crafting gui is closed.
`void` | `onCraftMatrixChanged(IInventory par1IInventory)` Callback for when the crafting matrix is changed.
`ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.
`void` | `updateProgressBar(int par1, int par2)`

Methods inherited from class net.minecraft.inventory.Container
`enchantItem, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick, updateCraftingResults`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maximumCost

    public int maximumCost

  The maximum cost of repairing/renaming in the anvil.

Constructor Detail

### ContainerRepair

    public ContainerRepair(InventoryPlayer par1InventoryPlayer,
                           World par2World,
                           int par3,
                           int par4,
                           int par5,
                           EntityPlayer par6EntityPlayer)

Method Detail

### onCraftMatrixChanged

    public void onCraftMatrixChanged(IInventory par1IInventory)

  Callback for when the crafting matrix is changed.

  Overrides:
    `onCraftMatrixChanged` in class `Container`

### func_82848_d

    public void func_82848_d()

### addCraftingToCrafters

    public void addCraftingToCrafters(ICrafting par1ICrafting)

  Overrides:
    `addCraftingToCrafters` in class `Container`

### updateProgressBar

    public void updateProgressBar(int par1,
                                  int par2)

  Overrides:
    `updateProgressBar` in class `Container`

### onCraftGuiClosed

    public void onCraftGuiClosed(EntityPlayer par1EntityPlayer)

  Callback for when the crafting gui is closed.

  Overrides:
    `onCraftGuiClosed` in class `Container`

### canInteractWith

    public boolean canInteractWith(EntityPlayer par1EntityPlayer)

  Specified by:
    `canInteractWith` in class `Container`

### transferStackInSlot

    public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                         int par2)

  Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.

  Overrides:
    `transferStackInSlot` in class `Container`

### func_82850_a

    public void func_82850_a(String par1Str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD